<div class="btnAcrossPageName">
    <!--Button Lưu lại và Gửi duyệt-->
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'
               (click)="onSave('SAVE')"
               *ngIf="!isDetail"
               mbButtonText="{{'common.button.save' | translate}}"></mb-button>
    <mb-button
        (click)="onSave('SEND_BROWSE')"
        [mbButtonAvailableStyle]="'PRIMARY'"
        *ngIf="!isDetail"
        mbButtonText="{{'common.button.sendBrowse' | translate}}"
    ></mb-button>


    <mb-button
        (click)="onBack()"
        *ngIf="!isDetail"
        [mbButtonAvailableStyle]="'CANCEL'"
        mbButtonText="{{'common.button.cancel' | translate}}"
    ></mb-button>
    <mb-button
        (click)="onBack()"
        *ngIf="isDetail"
        [mbButtonAvailableStyle]="'CANCEL'"
        mbButtonText="{{'selfService.dependentRegisters.back' | translate}}"
    ></mb-button>
    <!--End: Button Lưu lại và Gửi duyệt-->
</div>

<link rel="stylesheet" href="tax-register-form.component.scss">
<div class='content__item content__item--border bg__content--default'>
    <app-loading *ngIf="isLoadingPage"></app-loading>
    <form nz-form [formGroup]="form">

        <app-personal-information
            [isShowTaxInfo]="false"
            (employeeInfoEvent)="getEmployeeInfo($event)"
        ></app-personal-information>


        <div nz-row [nzGutter]='[30,30]'>

            <div nz-col [nzXs]="24" [nzLg]="6">
                <mb-select
                    [mbDataSelects]="listPaperType"
                    (mbEventEmit)="onPaperTypeChange($event)"
                    mbKeyLabel="label"
                    mbKeyValue="value"

                    mbLabelText="{{'selfService.taxRegisters.paperTypeLabel' | translate}}  <span class='label__required'>*</span>"
                    [formControlName]="'idTypeCode'"


                    [mbType]="isSubmitted && form.controls['idTypeCode'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['idTypeCode'].errors !== null"
                    [mbErrors]="form.controls['idTypeCode'].errors"
                    [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.paperTypeRequired' | translate } ]"
                ></mb-select>
            </div>

            <div nz-col [nzXs]="24" [nzLg]="6">
                <mb-input-text
                    mbLabelText="{{'selfService.taxRegisters.numberLabel' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholderText="{{'selfService.taxRegisters.placeholder' | translate}}"
                    [formControlName]="'idNo'"

                    [mbDisable]="form.controls['idTypeCode'].value === '' || isDetail"

                    [mbType]="isSubmitted && form.controls['idNo'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['idNo'].errors !== null"
                    [mbErrors]="form.controls['idNo'].errors"
                    [mbErrorDefs]="[
                         { errorName: 'required', errorDescription: 'selfService.taxRegisters.numberRequired' | translate },
                         { errorName: 'number', errorDescription: 'selfService.taxRegisters.idNoMustNumber' | translate },
                         { errorName: 'idNoOnlyAccept9Number', errorDescription: 'selfService.taxRegisters.idNoOnlyAccept9Number' | translate },
                         { errorName: 'citizenOnlyAccept12Number', errorDescription: 'selfService.taxRegisters.citizenOnlyAccept12Number' | translate }
                    ]"
                ></mb-input-text>
            </div>

            <div nz-col [nzXs]="24" [nzLg]="6">
                <mb-date-picker
                    mbLabelText="{{'selfService.taxRegisters.dateIssueLabel' | translate}} <span class='label__required'>*</span>"
                    [mbPlaceholderText]="'dd/mm/yyyy'"
                    [formControlName]="'idDate'"

                    [mbDisabled]="form.controls['idTypeCode'].value === '' || isDetail"

                    [mbType]="isSubmitted && form.controls['idDate'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['idDate'].errors !== null"
                    [mbErrors]="form.controls['idDate'].errors"
                    [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.dateIssueRequired' | translate } ]"
                ></mb-date-picker>
            </div>

            <!-- Neu la cccd -> show -->
            <div nz-col [nzXs]="24" [nzLg]="6" *ngIf="this.form.controls['idTypeCode'].value === constant.PAPERS_CODE.ID_NO || this.form.controls['idTypeCode'].value === citizenPaperTypeValue; else other">
                <mb-select
                    mbLabelText="{{'selfService.taxRegisters.placeIssueLabel' | translate}} <span class='label__required'>*</span>"
                    [formControlName]="'idPlaceCode'"

                    [mbDataSelects]="listCitizenPlace"
                    mbKeyLabel="label"
                    mbKeyValue="value"
                    (mbEventEmit)="selectIdPlace($event)"
                    [mbType]="isSubmitted && form.controls['idPlaceCode'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['idPlaceCode'].errors !== null"
                    [mbErrors]="form.controls['idPlaceCode'].errors"
                    [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.placeIssueRequired' | translate } ]"
                ></mb-select>
            </div>
            <ng-template #other>
                <!-- Neu khac cccd -> show -->
                <div nz-col [nzXs]="24" [nzLg]="6">
                    <mb-input-text
                        mbLabelText="{{'selfService.taxRegisters.placeIssueLabel' | translate}} <span class='label__required'>*</span>"
                        mbPlaceholderText="{{'selfService.taxRegisters.placeholder' | translate}}"
                        [formControlName]="'idPlace'"

                        [mbDisable]="form.controls['idTypeCode'].value === '' || isDetail"

                        [mbType]="isSubmitted && form.controls['idPlace'].errors ? 'error' : 'default'"
                        [mbShowError]="isSubmitted && form.controls['idPlace'].errors !== null"
                        [mbErrors]="form.controls['idPlace'].errors"
                        [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.placeIssueRequired' | translate } ]"
                    ></mb-input-text>
                </div>
            </ng-template>
        </div>

        <!--Địa chỉ theo đăng ký hộ khẩu-->
        <div nz-row [nzGutter]='[30,30]'>
            <div nz-col [nzXs]="24" [nzLg]="24" class="input__group">
                <label class="input__label">{{'selfService.taxRegisters.permanentAddressLabel' | translate}}</label>
            </div>
        </div>
        <nz-divider class="hrTag"></nz-divider>
        <!--End: Địa chỉ theo đăng ký hộ khẩu-->


        <div nz-row [nzGutter]='[30,30]'>

            <div nz-col [nzXs]="24" [nzLg]="6">
                <mb-select
                    [mbDataSelects]="listNational"
                    mbKeyLabel="label"
                    mbKeyValue="value"
                    [mbDisable]="true"

                    mbLabelText="{{'selfService.taxRegisters.permanentNationCodeInput' | translate}} <span class='label__required'>*</span>"
                    [formControlName]="'permanentNationCode'"


                    [mbType]="isSubmitted && form.controls['permanentNationCode'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['permanentNationCode'].errors !== null"
                    [mbErrors]="form.controls['permanentNationCode'].errors"
                    [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.permanentNationCodeRequired' | translate } ]"
                ></mb-select>
            </div>


            <div nz-col [nzXs]="24" [nzLg]="6">
                <mb-select
                    [mbDataSelects]="provinces" [mbIsLoading]="isLoadingProvinces"
                    (mbEventEmit)="changeProvince($event, 'HK')"

                    mbLabelText="{{'selfService.taxRegisters.permanentProvinceCodeInput' | translate}} <span class='label__required'>*</span>"
                    [formControlName]="'permanentProvinceCode'"

                    [mbType]="isSubmitted && form.controls['permanentProvinceCode'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['permanentProvinceCode'].errors !== null"
                    [mbErrors]="form.controls['permanentProvinceCode'].errors"
                    [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.permanentProvinceCodeRequired' | translate } ]"
                ></mb-select>
            </div>


            <div nz-col [nzXs]="24" [nzLg]="6">
                <mb-select
                    [mbDataSelects]="districts" [mbIsLoading]="isLoadingDistricts"
                    (mbEventEmit)="changeDistrict($event, 'HK')"

                    mbLabelText="{{'selfService.taxRegisters.permanentDistrictCodeInput' | translate}} <span class='label__required'>*</span>"
                    [formControlName]="'permanentDistrictCode'"

                    [mbType]="isSubmitted && form.controls['permanentDistrictCode'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['permanentDistrictCode'].errors !== null"
                    [mbErrors]="form.controls['permanentDistrictCode'].errors"
                    [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.permanentDistrictCodeRequired' | translate } ]"
                ></mb-select>
            </div>


            <div nz-col [nzXs]="24" [nzLg]="6">
                <mb-select
                    [mbDataSelects]="wards" [mbIsLoading]="isLoadingWards"

                    mbLabelText="{{'selfService.taxRegisters.permanentWardCodeInput' | translate}} <span class='label__required'>*</span>"
                    [formControlName]="'permanentWardCode'"

                    [mbType]="isSubmitted && form.controls['permanentWardCode'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['permanentWardCode'].errors !== null"
                    [mbErrors]="form.controls['permanentWardCode'].errors"
                    [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.permanentWardCodeRequired' | translate } ]"
                ></mb-select>
            </div>

        </div>


        <div nz-row [nzGutter]='[30,30]'>
            <div nz-col [nzXs]='24' [nzLg]='6'>
                <mb-input-text
                    mbLabelText="{{'selfService.taxRegisters.permanentDetailInput' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholderText="{{'selfService.taxRegisters.placeholder' | translate}}"
                    [formControlName]="'permanentDetail'"

                    [mbType]="isSubmitted && form.controls['permanentDetail'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['permanentDetail'].errors !== null"
                    [mbErrors]="form.controls['permanentDetail'].errors"
                    [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.permanentDetailRequired' | translate } ]"
                ></mb-input-text>
            </div>
        </div>


        <!--Địa chỉ cư trú-->
        <div nz-row [nzGutter]='[30,30]'>
            <div nz-col [nzXs]="24" [nzLg]="24" class="input__group">
                <label class="input__label">{{'selfService.taxRegisters.currentAddressLabel' | translate}}</label>
            </div>
        </div>
        <nz-divider class="hrTag"></nz-divider>
        <!--End: Địa chỉ cư trú-->


        <div nz-row [nzGutter]='[30,30]'>

            <div nz-col [nzXs]="24" [nzLg]="6">
                <mb-select
                    [mbDataSelects]="listNational"
                    mbKeyLabel="label"
                    mbKeyValue="value"
                    [mbDisable]="true"

                    mbLabelText="{{'selfService.taxRegisters.currentNationCodeInput' | translate}} <span class='label__required'>*</span>"
                    [formControlName]="'currentNationCode'"

                    [mbType]="isSubmitted && form.controls['currentNationCode'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['currentNationCode'].errors !== null"
                    [mbErrors]="form.controls['currentNationCode'].errors"
                    [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.permanentNationCodeRequired' | translate } ]"
                ></mb-select>
            </div>


            <div nz-col [nzXs]="24" [nzLg]="6">
                <mb-select
                    [mbDataSelects]="provinces" [mbIsLoading]="isLoadingProvincesCurrent"
                    (mbEventEmit)="changeProvince($event, 'HT')"
                    mbLabelText="{{'selfService.taxRegisters.currentProvinceCodeInput' | translate}} <span class='label__required'>*</span>"
                    [formControlName]="'currentProvinceCode'"

                    [mbType]="isSubmitted && form.controls['currentProvinceCode'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['currentProvinceCode'].errors !== null"
                    [mbErrors]="form.controls['currentProvinceCode'].errors"
                    [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.permanentProvinceCodeRequired' | translate } ]"
                ></mb-select>
            </div>


            <div nz-col [nzXs]="24" [nzLg]="6">
                <mb-select
                    [mbDataSelects]="districtsCurrent" [mbIsLoading]="isLoadingDistrictsCurrent"
                    (mbEventEmit)="changeDistrict($event, 'HT')"
                    mbLabelText="{{'selfService.taxRegisters.currentDistrictCodeInput' | translate}} <span class='label__required'>*</span>"
                    [formControlName]="'currentDistrictCode'"

                    [mbType]="isSubmitted && form.controls['currentDistrictCode'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['currentDistrictCode'].errors !== null"
                    [mbErrors]="form.controls['currentDistrictCode'].errors"
                    [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.permanentDistrictCodeRequired' | translate } ]"
                ></mb-select>
            </div>


            <div nz-col [nzXs]="24" [nzLg]="6">
                <mb-select
                    [mbDataSelects]="wardsCurrent" [mbIsLoading]="isLoadingWardsCurrent"
                    mbLabelText="{{'selfService.taxRegisters.currentWardCodeInput' | translate}} <span class='label__required'>*</span>"
                    [formControlName]="'currentWardCode'"

                    [mbType]="isSubmitted && form.controls['currentWardCode'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['currentWardCode'].errors !== null"
                    [mbErrors]="form.controls['currentWardCode'].errors"
                    [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.permanentWardCodeRequired' | translate } ]"
                ></mb-select>
            </div>

        </div>


        <div nz-row [nzGutter]='[30,30]'>
            <div nz-col [nzXs]='24' [nzLg]='6'>
                <mb-input-text
                    mbLabelText="{{'selfService.taxRegisters.currentDetailInput' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholderText="{{'selfService.taxRegisters.placeholder' | translate}}"
                    [formControlName]="'currentDetail'"

                    [mbType]="isSubmitted && form.controls['currentDetail'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['currentDetail'].errors !== null"
                    [mbErrors]="form.controls['currentDetail'].errors"
                    [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'selfService.taxRegisters.permanentDetailRequired' | translate } ]"
                ></mb-input-text>
            </div>
        </div>


        <div nz-row [nzGutter]='[30,30]'>
            <div nz-col [nzXs]='24' [nzLg]='6'>
                <mb-input-text
                    appNumberInput
                    mbLabelText="{{'selfService.taxRegisters.mobileNumberInput' | translate}} <span class='label__required'>*</span>"
                    [mbMaxLength]="10"

                    mbPlaceholderText="{{'selfService.taxRegisters.placeholder' | translate}}"
                    [formControlName]="'mobileNumber'"

                    [mbType]="isSubmitted && form.controls['mobileNumber'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['mobileNumber'].errors !== null"
                    [mbErrors]="form.controls['mobileNumber'].errors"
                    [mbErrorDefs]="[
                        { errorName: 'required', errorDescription: 'selfService.taxRegisters.mobileNumberRequired' | translate },
                        { errorName: 'pattern', errorDescription: 'selfService.taxRegisters.mobileNumberPatternValidate' | translate }
                    ]"
                ></mb-input-text>
            </div>

            <div nz-col [nzXs]='24' [nzLg]='6'>
                <mb-input-text
                    mbLabelText="{{'selfService.taxRegisters.emailInput' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholderText="{{'selfService.taxRegisters.placeholder' | translate}}"
                    [formControlName]="'email'"

                    [mbType]="isSubmitted && form.controls['email'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['email'].errors !== null"
                    [mbErrors]="form.controls['email'].errors"
                    [mbErrorDefs]="[
                        { errorName: 'required', errorDescription: 'selfService.taxRegisters.emailRequired' | translate },
                        { errorName: 'email', errorDescription: 'selfService.taxRegisters.emailFormat' | translate },
                    ]"
                ></mb-input-text>
            </div>
        </div>

        <div nz-row [nzGutter]='[30,30]' *ngIf="isDetail && (this.taxNumberRegisterEdit?.status === constant.STATUS_OBJ.FINANCIAL_ACCOUNTANT_RETURN || this.taxNumberRegisterEdit?.status === constant.STATUS_OBJ.TAX_AUTHORITIES_RETURN)">
            <div nz-col [nzXs]='24' [nzLg]='24'>
                <mb-input-text
                    [mbIsTextAre]="true"
                    mbLabelText="{{'selfService.taxRegisters.rejectReason' | translate}}"
                    [formControlName]="'rejectReason'"
                ></mb-input-text>
            </div>
        </div>


        <!--File đính kèm-->
        <div nz-row [nzGutter]='[30,30]'>
            <div nz-col [nzXs]='24' [nzLg]='20' class="input__group">
                <label class="input__label">{{'selfService.label.file' | translate}}  <span class='label__required'>*</span></label>
                <span class="uploadHintText">{{'selfService.taxRegisters.uploadHintText' | translate}}</span>

                <div class="uploadFile--wrap">

                    <nz-upload
                        [nzMultiple]=" true"
                        [(nzFileList)]="fileList"
                        [nzBeforeUpload]="beforeUpload"
                        [nzRemove]="removeFile"
                        [nzDownload]="downloadFile"
                        nzAccept=".TIF, .JPG, .GIF, .PNG, .PDF, .DOC, .DOCX, .XLS, .XLSX"
                    >

                        <button class="btnUploadFile">{{'selfService.taxRegisters.btnUploadFile' | translate}}</button>

                    </nz-upload>
                </div>
                <div *ngIf="isSubmitted && this.fileList?.length === 0" class="input__group">
                  <div class="input__message">
                    <em nz-icon nzType="close-circle" nzTheme="outline"></em>
                    <span class="text__message">{{'selfService.validate.fileRequired' | translate}}</span>
                  </div>
                </div>
            </div>
        </div>
        <!--End: File đính kèm-->
    </form>
</div>
